using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

/// <summary>
/// Summary description for CategoryDal
/// </summary>
public class CategoryDal:IDisposable
{
    static string strConn = ConfigurationManager.ConnectionStrings["TestConnection"].ToString();
    static SqlConnection connection = new SqlConnection(strConn);

	public CategoryDal()
	{
		
	}
    public int CategoryRegistration(CategoryBO objCategoryBO)
    {

        connection.Open();
        SqlCommand Inscommand = new SqlCommand("Sp_CategoryRegistration", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        Inscommand.Parameters.AddWithValue("@CategoryName", objCategoryBO.CategoryName);
        Inscommand.Parameters.AddWithValue("@Status", objCategoryBO.Status);
        try
        {
            return Inscommand.ExecuteNonQuery();

        }
        catch
        {
            throw;
        }
        finally
        {
            Inscommand.Dispose();
            connection.Close();
        }
    }

    public DataTable CategoryLoad()
    {
        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_CategoryAll", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        SqlDataAdapter AdapCategorydata = new SqlDataAdapter(Inscommand);
        DataSet Categorydata = new DataSet();
        try
        {
            AdapCategorydata.Fill(Categorydata, "Category");
            return Categorydata.Tables["Category"];
        }
        catch
        {
            throw;
        }
        finally
        {
            AdapCategorydata.Dispose();
            Categorydata.Dispose();
            connection.Close();
        }

    }



    public DataSet CategoryRecord(CategoryBO objCategoryBO)
    {
        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_CategoryId", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        Inscommand.Parameters.AddWithValue("@CategoryId ", objCategoryBO.CategoryId);
        SqlDataAdapter AdaptRecord = new SqlDataAdapter(Inscommand);
        DataSet Categoryds = new DataSet();
        try
        {
            AdaptRecord.Fill(Categoryds, "Category");
            return Categoryds;
        }
        catch
        {
            throw;
        }
        finally
        {
            AdaptRecord.Dispose();
            Categoryds.Dispose();
            connection.Close();
        }

    }
    public int CategoryDelete(CategoryBO objCategoryBO)
    {

        connection.Open();
        SqlCommand Deletecommand = new SqlCommand("sp_CategoryDeletion", connection);
        Deletecommand.CommandType = CommandType.StoredProcedure;
        Deletecommand.Parameters.AddWithValue("@CategoryId", objCategoryBO.CategoryId);
        try
        {
            return Deletecommand.ExecuteNonQuery();

        }
        catch
        {
            throw;

        }
        finally
        {
            Deletecommand.Dispose();
            connection.Close();
        }
    }


    public void Dispose()
    {
        connection.Close();
    }

       
}
