using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

/// <summary>
/// Summary description for ProductDAL
/// </summary>
public class ProductDAL:IDisposable
{
    static string strConn = ConfigurationManager.ConnectionStrings["TestConnection"].ToString();
    static SqlConnection connection = new SqlConnection(strConn);


	public ProductDAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}


    public DataTable ProductLoad()
    {
        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_ProductselectSubSategory", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        SqlDataAdapter Adapprdata = new SqlDataAdapter(Inscommand);
        DataSet prdata = new DataSet();
        try
        {
            Adapprdata.Fill(prdata, "SubCategory");
            return prdata.Tables["SubCategory"];
        }
        catch
        {
            throw;
        }
        finally
        {
            Adapprdata.Dispose();
            prdata.Dispose();
            connection.Close();
        }

    }
    public int ProductRegistration(ProductBO objProductBO)
    {

        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_ProductRegistration", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        Inscommand.Parameters.AddWithValue("@SubCategoryId", objProductBO.SubCategory);
        Inscommand.Parameters.AddWithValue("@Productname", objProductBO.Productname);
        Inscommand.Parameters.AddWithValue("@Quantity", objProductBO.Quantity);
        Inscommand.Parameters.AddWithValue("@Price", objProductBO.Price);
        Inscommand.Parameters.AddWithValue("@ShippingPrice", objProductBO.ShippingPrice);
        Inscommand.Parameters.AddWithValue("@Status", objProductBO.Status);
        Inscommand.Parameters.AddWithValue("@AboutProduct", objProductBO.AboutProduct);
        Inscommand.Parameters.AddWithValue("@EndOfbidDate",objProductBO.EndOfbidDate);
        Inscommand.Parameters.AddWithValue("@Image", objProductBO.Image);

        try
        {
            return Inscommand.ExecuteNonQuery();

        }
        catch
        {
            throw;
        }
        finally
        {
            Inscommand.Dispose();
            connection.Close();
        }

    }

    public DataTable ProductDeleteLoad()
    {
        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_ProductAll", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        SqlDataAdapter AdapprCategorydata = new SqlDataAdapter(Inscommand);
        DataSet prCategorydata = new DataSet();
        try
        {
            AdapprCategorydata.Fill(prCategorydata, "Product");
            return prCategorydata.Tables["Product"];
        }
        catch
        {
            throw;
        }
        finally
        {
            AdapprCategorydata.Dispose();
            prCategorydata.Dispose();
            connection.Close();
        }

    }



    public DataSet ProductRecord(ProductBO objProductBO)
    {
        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_ProductId", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        Inscommand.Parameters.AddWithValue("@ProductId ", objProductBO.ProductId);
        SqlDataAdapter prAdaptRecord = new SqlDataAdapter(Inscommand);
        DataSet prCategoryds = new DataSet();
        try
        {
            prAdaptRecord.Fill(prCategoryds, "Product");
            return prCategoryds;
        }
        catch
        {
            throw;
        }
        finally
        {
            prAdaptRecord.Dispose();
            prCategoryds.Dispose();
            connection.Close();
        }

    }
    public int ProductDelete(ProductBO objProductBO)
    {

        connection.Open();
        SqlCommand Deletecommand = new SqlCommand("sp_ProductDeletion", connection);
        Deletecommand.CommandType = CommandType.StoredProcedure;
        Deletecommand.Parameters.AddWithValue("@ProductId", objProductBO.ProductId);
        try
        {
            return Deletecommand.ExecuteNonQuery();

        }
        catch
        {
            throw;

        }
        finally
        {
            Deletecommand.Dispose();
            connection.Close();
        }
    }


    public void Dispose()
    {
        connection.Close();
    }

    internal int Updatestus(ProductBO OBJBO)
    {
        connection.Open();
        SqlCommand Updatecommand = new SqlCommand("sp_UpDateProductId", connection);
        Updatecommand.CommandType = CommandType.StoredProcedure;
        Updatecommand.Parameters.AddWithValue("@ProductId", OBJBO.ProductId);
        Updatecommand.Parameters.AddWithValue("@Status", OBJBO.Status);
        try
        {
            return Updatecommand.ExecuteNonQuery();

        }
        catch
        {
            throw;

        }
        finally
        {
            Updatecommand.Dispose();
            connection.Close();
        }
    }
}
