using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

/// <summary>
/// Summary description for SubCategoryDAL
/// </summary>
public class SubCategoryDAL:IDisposable
{
    static string strConn = ConfigurationManager.ConnectionStrings["TestConnection"].ToString();
    static SqlConnection connection = new SqlConnection(strConn);

	public SubCategoryDAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    
    public DataTable SubCategoryLoad()
    {
        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_SubCategoryselctCategory", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        SqlDataAdapter Adapscdata = new SqlDataAdapter(Inscommand);
        DataSet scdata = new DataSet();
        try
        {
            Adapscdata.Fill(scdata, "Category");
            return scdata.Tables["Category"];
        }
        catch
        {
            throw;
        }
        finally
        {
            Adapscdata.Dispose();
            scdata.Dispose();
            connection.Close();
        }

    }
    public int SubCategoryRegistration(SubCategoryBO objSubCategoryBO )
    {

        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_SubCategoryRegistration", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        Inscommand.Parameters.AddWithValue("@CategoryId", objSubCategoryBO.CategoryId);
        Inscommand.Parameters.AddWithValue("@SubCategoryName", objSubCategoryBO.SubCategoryName);
        Inscommand.Parameters.AddWithValue("@Status", objSubCategoryBO.Status);
        try
        {
            return Inscommand.ExecuteNonQuery();

        }
        catch
        {
            throw;
        }
        finally
        {
            Inscommand.Dispose();
            connection.Close();
        }

    }
    public DataTable SubCategoryDeleteLoad()
    {
        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_SubCategoryAll", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        SqlDataAdapter AdapSubCategorydata = new SqlDataAdapter(Inscommand);
        DataSet SubCategorydata = new DataSet();
        try
        {
            AdapSubCategorydata.Fill(SubCategorydata, "SubCategory");
            return SubCategorydata.Tables["SubCategory"];
        }
        catch
        {
            throw;
        }
        finally
        {
            AdapSubCategorydata.Dispose();
            SubCategorydata.Dispose();
            connection.Close();
        }

    }



    public DataSet SubCategoryRecord(SubCategoryBO objSubCategoryBO)
    {
        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_SubCategoryId", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        Inscommand.Parameters.AddWithValue("@SubCategoryId ", objSubCategoryBO.SubCategoryId);
        SqlDataAdapter scAdaptRecord = new SqlDataAdapter(Inscommand);
        DataSet sCategoryds = new DataSet();
        try
        {
            scAdaptRecord.Fill(sCategoryds, "Category");
            return sCategoryds;
        }
        catch
        {
            throw;
        }
        finally
        {
            scAdaptRecord.Dispose();
            sCategoryds.Dispose();
            connection.Close();
        }

    }
    public int SubCategoryDelete(SubCategoryBO objSubCategoryBO)
    {

        connection.Open();
        SqlCommand Deletecommand = new SqlCommand("sp_SubCategoryDeletion", connection);
        Deletecommand.CommandType = CommandType.StoredProcedure;
        Deletecommand.Parameters.AddWithValue("@SubCategoryId", objSubCategoryBO.SubCategoryId);
        try
        {
            return Deletecommand.ExecuteNonQuery();

        }
        catch
        {
            throw;

        }
        finally
        {
            Deletecommand.Dispose();
            connection.Close();
        }
    }
    public void Dispose()
    {
        connection.Close();
    }

}
